# PSF-LoginServer - master - net.psforever.services.hart.HartTimer.Update
PSF - LoginServer - master - net.psforever.services.hart.HartTimer.Update
Keywords: PSF LoginServer master net.psforever.services.hart.HartTimer.Update

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package hart
  Definition Classes
    services
-  object HartTimer
  Definition Classes
    hart
- Command
- LockDoors
- MessageToHartInZone
- OrbitalShuttleEvent
- PairWith
- SetEventDurations
- ShuttleDocked
- ShuttleFreeFromDock
- ShuttleStateUpdate
- UnlockDoors
- Update

c

net.psforever.services.hart.HartTimer

# Update

###

#### final case class Update(inZone: String, forChannel: String) extends MessageToHartInZone with Product with Serializable

Personalized messages that align the state of the shuttle to one's perspective (client).

inZone

  the zone for which the update will be composed

forChannel

  to whom to address the reply

Source
  HartTimer.scala

Linear Supertypes
Serializable, Product, Equals, MessageToHartInZone, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Update
2. Serializable
3. Product
4. Equals
5. MessageToHartInZone
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Update(inZone: String, forChannel: String)

   inZone

     the zone for which the update will be composed

   forChannel

     to whom to address the reply

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  val forChannel: String
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val inZone: String
    Definition Classes
      Update → MessageToHartInZone
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MessageToHartInZone

### Inherited from AnyRef

### Inherited from Any

### Ungrouped